Search
Search conversations
DeprecatedNOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
query*stringThe text by which to search conversations
1 <= lengthexactMatch?booleanReturn only exact matches. This value is false by default.
The search results for the searched parameters
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/search/conversations?query=cancel+my+order' \ -H 'Authorization: <API token>'Search for conversations containing a particular text or by filter or combine them both
ApiKeyAuthAuthorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The filters to apply to the search
application/json- body
query?filters?The search results for the searched parameters
application/json- response
data?array<>meta?curl -X POST 'https://dev.dixa.io/v1/search/conversations' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "filters": { "strategy": "All", "conditions": [ { "field": { "operator": { "values": [ "177e7564-6434-4177-a25a-8530089196ad", "7729e7564-9876-a637-b46b-8530038196b3" ], "_type": "IncludesOne" }, "_type": "TagId" } } ] }}'